Modify

Opened 3 years ago

Last modified 22 months ago

#18717 reopened defect

Nexx WT3020 r43898 Luci Bad Gateway

Reported by: Bandesz Owned by: developers
Priority: response-needed Milestone:
Component: packages Version: Trunk
Keywords: Cc:

Description

After

opkg install luci

I have the following error in my browser:

Bad Gateway

The process did not produce any response

Attachments (0)

Change History (17)

comment:1 Changed 3 years ago by jow

  • Priority changed from normal to response-needed

Try installing the "lua" package manually.

comment:2 Changed 3 years ago by Bandesz

still results "Bad Gateway" message

BusyBox v1.22.1 (2015-01-10 02:35:01 UTC) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 CHAOS CALMER (Bleeding Edge, r43898)
 -----------------------------------------------------
  * 1 1/2 oz Gin            Shake with a glassful
  * 1/4 oz Triple Sec       of broken ice and pour
  * 3/4 oz Lime Juice       unstrained into a goblet.
  * 1 1/2 oz Orange Juice
  * 1 tsp. Grenadine Syrup
 -----------------------------------------------------
root@OpenWrt:/# opkg update
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_base.
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_luci.
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/management/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_management.
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_packages.
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/routing/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_routing.
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/telephony/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_telephony.
root@OpenWrt:/# opkg install luci
Installing luci (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Installing uhttpd (2014-10-27-fd8e5e379c23c5fbcec3e76894b839233df09067) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/uhttpd_2014-10-27-fd8e5e379c23c5fbcec3e76894b839233df09067_ramips_24kec.ipk.
Installing uhttpd-mod-ubus (2014-10-27-fd8e5e379c23c5fbcec3e76894b839233df09067) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/uhttpd-mod-ubus_2014-10-27-fd8e5e379c23c5fbcec3e76894b839233df09067_ramips_24kec.ipk.
Installing luci-mod-admin-full (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci-mod-admin-full_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Installing luci-base (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci-base_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Installing lua (5.1.5-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/lua_5.1.5-1_ramips_24kec.ipk.
Installing liblua (5.1.5-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/liblua_5.1.5-1_ramips_24kec.ipk.
Installing luci-theme-bootstrap (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci-theme-bootstrap_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Installing luci-app-firewall (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci-app-firewall_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Installing luci-proto-ppp (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci-proto-ppp_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Installing libiwinfo-lua (2015-01-04-c9fd399316003040825dfbd9700488b621bd990e) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/libiwinfo-lua_2015-01-04-c9fd399316003040825dfbd9700488b621bd990e_ramips_24kec.ipk.
Installing luci-lib-nixio (git-15.009.56123-3afecbd-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/luci/luci-lib-nixio_git-15.009.56123-3afecbd-1_ramips_24kec.ipk.
Configuring liblua.
Configuring libiwinfo-lua.
Configuring luci-theme-bootstrap.
Configuring luci-app-firewall.
Configuring lua.
Configuring luci-proto-ppp.
Configuring luci-base.
Configuring luci-mod-admin-full.
Configuring uhttpd.
Configuring luci-lib-nixio.
Configuring uhttpd-mod-ubus.
Configuring luci.
root@OpenWrt:/# /etc/init.d/uhttpd enable
root@OpenWrt:/# /etc/init.d/uhttpd start
root@OpenWrt:/# opkg install lua
Package lua (5.1.5-1) installed in root is up to date.
root@OpenWrt:/# 

Last edited 3 years ago by Bandesz (previous) (diff)

comment:3 follow-up: Changed 3 years ago by jow

Whats the output of /www/cgi-bin/luci command?

comment:4 in reply to: ↑ 3 Changed 3 years ago by Bandesz

Replying to jow:

Whats the output of /www/cgi-bin/luci command?

root@OpenWrt:/# /www/cgi-bin/luci
/usr/bin/lua: /usr/lib/lua/luci/sys.lua:33: loop or previous error loading module 'luci.model.uci'
stack traceback:
        [C]: in function 'require'
        /usr/lib/lua/luci/sys.lua:33: in main chunk
        [C]: in function 'require'
        /usr/lib/lua/luci/sgi/cgi.lua:31: in main chunk
        [C]: in function 'require'
        /www/cgi-bin/luci:3: in main chunk
        [C]: ?
root@OpenWrt:/# 

comment:5 follow-up: Changed 3 years ago by jow

Please install libuci-lua

comment:6 Changed 3 years ago by jow

You'll likely need libubus-lua as well.

comment:7 in reply to: ↑ 5 Changed 3 years ago by Bandesz

root@OpenWrt:/# opkg install libuci-lua
Installing libuci-lua (2014-04-11.1-1) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/ramips.mt7620/packages/base/libuci-lua_2014-04-11.1-1_ramips_24kec.ipk.
Configuring libuci-lua.

Luci loaded, but it does not work well.

Network, Interfaces menu gives:

/usr/lib/lua/luci/dispatcher.lua:448: Failed to execute arcombine dispatcher target for entry '/admin/network/network'.
The called action terminated with an exception:
/usr/lib/lua/luci/model/network.lua:27: module 'ubus' not found:
	no field package.preload['ubus']
	no file './ubus.lua'
	no file '/usr/share/lua/ubus.lua'
	no file '/usr/share/lua/ubus/init.lua'
	no file '/usr/lib/lua/ubus.lua'
	no file '/usr/lib/lua/ubus/init.lua'
	no file './ubus.so'
	no file '/usr/lib/lua/ubus.so'
	no file '/usr/lib/lua/loadall.so'
stack traceback:
	[C]: in function 'assert'
	/usr/lib/lua/luci/dispatcher.lua:448: in function 'dispatch'
	/usr/lib/lua/luci/dispatcher.lua:195: in function </usr/lib/lua/luci/dispatcher.lua:194>

Network, wifi gives:

/usr/lib/lua/luci/dispatcher.lua:448: Failed to execute arcombine dispatcher target for entry '/admin/network/wireless'.
The called action terminated with an exception:
/usr/lib/lua/luci/template.lua:120: Failed to execute template 'admin_network/wifi_overview'.
A runtime error occured: /usr/lib/lua/luci/model/network.lua:27: module 'ubus' not found:
	no field package.preload['ubus']
	no file './ubus.lua'
	no file '/usr/share/lua/ubus.lua'
	no file '/usr/share/lua/ubus/init.lua'
	no file '/usr/lib/lua/ubus.lua'
	no file '/usr/lib/lua/ubus/init.lua'
	no file './ubus.so'
	no file '/usr/lib/lua/ubus.so'
	no file '/usr/lib/lua/loadall.so'
stack traceback:
	[C]: in function 'assert'
	/usr/lib/lua/luci/dispatcher.lua:448: in function 'dispatch'
	/usr/lib/lua/luci/dispatcher.lua:195: in function </usr/lib/lua/luci/dispatcher.lua:194>

System, Administration, Dropbear Instance:

/usr/lib/lua/luci/dispatcher.lua:448: Failed to execute cbi dispatcher target for entry '/admin/system/admin'.
The called action terminated with an exception:
/usr/lib/lua/luci/template.lua:120: Failed to execute template 'cbi/map'.
A runtime error occured: /usr/lib/lua/luci/template.lua:120: Failed to execute template 'cbi/tsection'.
A runtime error occured: /usr/lib/lua/luci/template.lua:120: Failed to execute template 'cbi/ucisection'.
A runtime error occured: /usr/lib/lua/luci/template.lua:120: Failed to execute template 'cbi/network_netlist'.
A runtime error occured: /usr/lib/lua/luci/model/network.lua:27: module 'ubus' not found:
	no field package.preload['ubus']
	no file './ubus.lua'
	no file '/usr/share/lua/ubus.lua'
	no file '/usr/share/lua/ubus/init.lua'
	no file '/usr/lib/lua/ubus.lua'
	no file '/usr/lib/lua/ubus/init.lua'
	no file './ubus.so'
	no file '/usr/lib/lua/ubus.so'
	no file '/usr/lib/lua/loadall.so'
stack traceback:
	[C]: in function 'assert'
	/usr/lib/lua/luci/dispatcher.lua:448: in function 'dispatch'
	/usr/lib/lua/luci/dispatcher.lua:195: in function
Last edited 3 years ago by Bandesz (previous) (diff)

comment:8 Changed 3 years ago by Bandesz

after install of libubus-lua, it starting to work well

comment:9 Changed 3 years ago by Bandesz

now it is usable, but some icons, buttons, strings missing

comment:10 follow-up: Changed 3 years ago by jow

I cannot reproduce that here. Please give some examples / screenshots.

comment:12 follow-up: Changed 3 years ago by jow

Ok. You should be able to fix that with "mkdir /usr/lib/lua/luci/i18n"

comment:13 in reply to: ↑ 12 Changed 3 years ago by Bandesz

Replying to jow:

Ok. You should be able to fix that with "mkdir /usr/lib/lua/luci/i18n"

It is great! Thanks!

comment:15 Changed 3 years ago by wbr@…

I'm still getting this error (and many others on this box) with CC rc2. When I first start up the router, it works fine. But over time it completely falls apart.

  • Login returns a "Bad Gateway" page.
  • Successful login, then Network->Interfaces returns the above errors about "Failed to execute arcombine dispatcher target..."

comment:16 Changed 22 months ago by warshock0325

i have a TP-Link mr3420 v2.x i have a error no space in the device

comment:17 Changed 22 months ago by warshock0325

  • Resolution fixed deleted
  • Status changed from closed to reopened

Add Comment

Modify Ticket

Action
as reopened .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.